// player
var PlayerEntity = me.ObjectEntity.extend({
	// Constructor
	init: function(x, y, settings) {
	    // superclass constructor?
	    this.parent(x, y, settings);

	    // walking, jumping speed:
	    this.setVelocity(4, 17);
	    this.gravity = 0.8;

	    //camera should follow us
	    me.game.viewport.follow(this.pos, me.game.viewport.AXIS.BOTH);
	},

	// input
	update: function() {
	    if (me.input.isKeyPressed('left')) {
		// flips graphic if we're going left,
		// then adds (+/-)this.accel.x * me.timer.tick
		// to this.vel.x
		this.doWalk(true);
	    } else if (me.input.isKeyPressed('right')) {
		this.doWalk(false);
	    } else {
		//stop immediately??
		this.vel.x = 0;
	    }

	    if (me.input.isKeyPressed('jump')) {
		// TODO: go check out this function
		this.doJump();
	    }

	    // do something with velocity I guess?
	    this.updateMovement();

	    // "update animation if necessary"
	    if (this.vel.x != 0 || this.vel.y != 0) {
		this.parent(this); // this has to be the real work
		return true; // but what does this do?
	    }

	    return false;
	}
    }); //PlayerEntity definition